Download it now!
Bug 78204 - PRINTING PDF: note icon misplaced in exported PDF when comments are printed in the margins
Summary: PRINTING PDF: note icon misplaced in exported PDF when comments are printed i...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-02 20:20 UTC by Stephan van den Akker
Modified: 2014-05-16 19:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
PDF Showing Note Icon (19.24 KB, application/pdf)
2014-05-14 15:20 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan van den Akker 2014-05-02 20:20:49 UTC
How to reproduce:
* Open Writer
* make sure Tools > Options > LibreOffice Writer > Print 'comments' in margin is selected
* Type some words (doesn't matter how much)
* Select the words
* Insert > Comment (or CTRL+ALT+C)
* File > Export as PDF
* make sure "Export comments" is checked
* Export to PDF

Open created PDF.

Expected behavior: An note icon is placed near the commented words

Actual behavior: The note icon is not placed near the commented words. 
The placing of these icons in the pdf does not take into account that the page is scaled down and centered vertically to make room for the comments in the margin.

Tested with LOdev version: 4.3.0.0.alpha1+
Build ID: f99f4dc93f44fa1cd799d0ad87ded7ee90d82848
on openSuSE 12.3 (64-bit)
Comment 1 Caolán McNamara 2014-05-14 13:40:59 UTC
sigh, these are drawn in different passes, before and after the scaled stage.
Comment 2 Joel Madero 2014-05-14 15:20:33 UTC
Confirmed:
Ubuntu 14.04 x64
Master 4.3 built a couple weeks ago

Normal - can prevent professional work
Medium - seems appropriate

Attaching document showing problem.
Comment 3 Joel Madero 2014-05-14 15:20:51 UTC
Created attachment 99034 [details]
PDF Showing Note Icon
Comment 4 Commit Notification 2014-05-15 11:41:07 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1cad9bbc3d2721304e7ac592b5d7396ad1a7c98

Resolves: fdo#78204 adjust note icons on comments-in-margins case



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2014-05-15 11:43:45 UTC
Should work now I believe
Comment 6 Stephan van den Akker 2014-05-16 19:57:41 UTC
Confirmed to work as expected in LOdev 4.3.0.0.alpha1+
Build ID: 4a9a10d169653e42028d32ee8e260692ead8cc36
on openSuSE 12.3 (64-bit)